Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -12,7 +12,13 @@
     private final ConfirmationTokenRepositoryW confirmationTokenRepositoryW;
 
+<<<<<<< HEAD
     public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP, ConfirmationTokenRepositoryW confirmationTokenRepositoryW, parkup.configs.token.ConfirmationTokenRepositoryW confirmationTokenRepositoryW1) {
         this.confirmationTokenRepositoryRP = confirmationTokenRepositoryRP;
         this.confirmationTokenRepositoryW = confirmationTokenRepositoryW1;
+=======
+    public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP, ConfirmationTokenRepositoryW confirmationTokenRepositoryW) {
+        this.confirmationTokenRepositoryRP = confirmationTokenRepositoryRP;
+        this.confirmationTokenRepositoryW = confirmationTokenRepositoryW;
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -35,5 +35,9 @@
     @PostMapping({"/parkingSpace"})
     public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace) {
+<<<<<<< HEAD
         System.out.println("???????");
+=======
+        //System.out.println("???????");
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
         return this.parkingSpaceService.addParkingSpace(parkingSpace);
     }
Index: sources/app/src/main/java/parkup/controllers/ParkingZoneController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -52,5 +52,9 @@
         return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(), parkingZone.getCapacity(),
                 parkingZone.getLocation(), parkingZone.getFrom(), parkingZone.getTo(), parkingZone.getColor(),
+<<<<<<< HEAD
                 parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation(),parkingZone.getOdgovorniLica());
+=======
+                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation());
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     }
 
Index: sources/app/src/main/java/parkup/entities/ParkingSpace.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -31,4 +31,5 @@
     @Column(name = "latitude")
     private float lat;
+<<<<<<< HEAD
 
     @Column(name = "longitude")
@@ -43,4 +44,16 @@
     }
 
+=======
+
+    @Column(name = "longitude")
+    private float lng;
+
+    @OneToOne(cascade = {CascadeType.ALL})
+    @JoinColumn(name = "parking_zona")
+    private ParkingZone parkingZone;
+
+    public ParkingSpace() {}
+
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     public ParkingSpace(int psId, String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
         this.psId = psId;
@@ -107,4 +120,5 @@
         this.lng = lng;
     }
+<<<<<<< HEAD
 
     @Override
@@ -118,4 +132,6 @@
                 '}';
     }
+=======
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
 }
 
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -33,8 +33,15 @@
     private int capacity;
 
+<<<<<<< HEAD
     @Column(name = "time_from")  //za rabotni casovi od:
     private int from;
 
     @Column(name = "time_to")    //za rabotni casovi do:
+=======
+    @Column(name = "vreme_od")  //za rabotni casovi od:
+    private int from;
+
+    @Column(name = "vreme_do")    //za rabotni casovi do:
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     private int to;
 
Index: sources/app/src/main/java/parkup/services/AdministratorService.java
===================================================================
--- sources/app/src/main/java/parkup/services/AdministratorService.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/services/AdministratorService.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -137,4 +137,5 @@
 
         String token = UUID.randomUUID().toString();
+<<<<<<< HEAD
 //        ConfirmationTokenRP confirmationToken = new ConfirmationTokenRP(
 //                token,
@@ -143,4 +144,12 @@
 //                administrator
 //        );
+=======
+        //ConfirmationTokenRP confirmationToken = new ConfirmationTokenRP(
+        //        token,
+        //        LocalDateTime.now(),
+        //        LocalDateTime.now().plusMinutes(15),
+        //        administrator
+        //);
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
 
         //confirmationTokenService.saveConfirmationToken(confirmationToken);
Index: sources/app/src/main/java/parkup/services/ParkingZoneService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
+++ sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
@@ -65,4 +65,5 @@
     }
 
+<<<<<<< HEAD
     //TODO proveri dali ima odgovorni i dokolku ima dali postojat vo bazata
     @Transactional
@@ -77,4 +78,11 @@
             System.out.println(v.toString());
         }
+=======
+    //TODO prati niza od objekti ParkingSpaces i prati objekt ParkingZoneLocation
+    @Transactional
+    public ParkingZone updateParkingZone(int parkingZoneId, String pzName, int price, int capacity,
+                                         String location, int from, int to, String color,
+                                         List<ParkingSpace> parkingSpaces, ParkingZoneLocation parkingZoneLocation) {
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
         Optional<ParkingZone> parkingZoneOpt = Optional.ofNullable(parkingZoneRepository.findByPzId(parkingZoneId));
         if (parkingZoneOpt.isPresent()) {
@@ -121,8 +129,11 @@
                 parkingZoneNov.setParkingSpaces(parkingSpaces);
             }
+<<<<<<< HEAD
             if(!odgovorniLica.isEmpty()){
 
                 parkingZoneNov.setOdgovorniLica(odgovorniLica);
             }
+=======
+>>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
 
             return parkingZoneNov;
